Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		v4l-utils
#Epoch:		0
Version:	0.7.91
Release:	1
License:	GNU/GPLv2
URL:		http://people.fedoraproject.org/~jwrdegoede/
Group:		System/Configuration/Hardware
Summary:	various video4linux (V4L) and DVB utilities.
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:
Requires:       libv4l = %{version}-%{release}

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: sysfsutils-devel

%description
v4l-utils is a collection of various video4linux (V4L) and DVB utilities.

%package  -n	libv4l
Summary:	%{name} development headers.
Group:		System/Libraries

%description -n libv4l
libv4l is a collection of libraries that adds a thin abstraction layer on top of video4linux2 (V4L2) devices.
The purpose of this layer is to make it easy for application writers to support a wide variety of devices
without having to write separate code for different devices in the same class. It consists of 3 different libraries.
libv4lconvert offers functions to convert from any (known) pixel format to V4l2_PIX_FMT_BGR24 or V4l2_PIX_FMT_YUV420.
libv4l1 offers the (deprecated) v4l1 API on top of v4l2 devices, independent of the drivers for those devices supporting
v4l1 compatibility (which many v4l2 drivers do not). libv4l2 offers the v4l2 API on top of v4l2 devices, while adding
support for the application transparent libv4lconvert conversion where necessary.

%package  -n    libv4l-devel
Summary:        %{name} development headers.
Group:          System/Libraries
Requires:       libv4l = %{version}-%{release}

%description -n  libv4l-devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
make %{?_smp_mflags} PREFIX=%{_prefix}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/cx18-ctl
%{_bindir}/decode_tm6000
%{_bindir}/ivtv-ctl
%{_bindir}/v4l2-compliance
%{_bindir}/v4l2-ctl
%{_bindir}/v4l2-sysfs-path
%{_sbindir}/v4l2-dbg

%files -n libv4l
%defattr(-,root,root)
%{_libdir}/libv4l1.so.*
%{_libdir}/libv4l2.so.*
%{_libdir}/libv4lconvert.so.*
%{_libdir}/libv4l/ov511-decomp
%{_libdir}/libv4l/ov518-decomp
%{_libdir}/libv4l/v4l1compat.so
%{_libdir}/libv4l/v4l2convert.so

%files -n libv4l-devel
%defattr(-,root,root)
%{_includedir}/libv4l1.h
%{_includedir}/libv4l2.h
%{_includedir}/libv4lconvert.h
%{_libdir}/libv4l1.so
%{_libdir}/libv4l2.so
%{_libdir}/libv4lconvert.so
%{_pkgconfig}/libv4l1.pc
%{_pkgconfig}/libv4l2.pc
%{_pkgconfig}/libv4lconvert.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Mar 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.7.91-1
- initial CCux package release
